Page MenuHomePhabricator

Configure subdomain foundation.wikimedia.org to enable *:foundation.wikimedia.org Matrix user IDs
Closed, ResolvedPublic

Description

To use Matrix IDs from a given domain, that domain needs to be authorized. We would like to use foundation.wikimedia.org for the Foundation's internal Matrix deployment. Can you please set up https://foundation.wikimedia.org/.well-known/matrix/server to return the following JSON object:

{ "m.server": "wikimediafoundation.ems.host:443" }

As discussed on IRC, we would prefer to use DNS if possible. I haven't heard back from the vendor on this yet, but I will update this task when I do.

Thanks for your help,
Brendan

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2020, 9:46 PM
Krinkle added subscribers: Dzahn, CDanis, Krinkle.
Restricted Application added a project: Traffic. · View Herald TranscriptAug 28 2020, 9:51 PM

Based on the Matrix docs and a recent blog post I believe the equivalent of that JSON object in their DNS format would be:

DNS
_matrix._tcp.foundation.wikimedia.org. 300    IN  SRV 10 5 443 wikimediafoundation.ems.host.

I heard back from the vendor regarding DNS and the rep said "I have not found the DNS way for delegation in our internal docs, but also no explicit "we don't support it". So lets try it. The required DNS entry is described in the Spec under step 4 here: https://matrix.org/docs/spec/server_server/latest#resolving-server-names".

Tgr added a subscriber: Tgr.EditedAug 30 2020, 3:49 PM

Let's also get rid of the old domain configuration added in T223835: Configure wikimedia.org to enable *:wikimedia.org Matrix user IDs while we are at it.

Tgr added a comment.Aug 30 2020, 3:56 PM

(FWIW, a year ago I ran into some trouble with the DNS method, unfortunately I don't really remember the details - I think the modular admin panel checked for .well-known but not for the DNS entry?)

Change 623147 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Revert "Add .well-known/matrix for wikimedia.org"

https://gerrit.wikimedia.org/r/623147

Change 623348 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/dns@master] Add SRV record verification for Element Matrix Services

https://gerrit.wikimedia.org/r/623348

fgiunchedi triaged this task as Medium priority.Aug 31 2020, 12:56 PM

Change 623348 merged by CDanis:
[operations/dns@master] Add SRV record verification for Element Matrix Services

https://gerrit.wikimedia.org/r/623348

Vendor says it looks to be all correct now. They shared this link: https://federationtester.matrix.org/#foundation.wikimedia.org.

CDanis closed this task as Resolved.Aug 31 2020, 6:06 PM
CDanis claimed this task.

Hey folks. Unfortunately, we discovered that the SRV/DNS solution is blocking our ability to use the Integrations feature on Element. The Integrations feature is what allows us to do self-service bridging configuration and other things. Can we use the https://foundation.wikimedia.org/.well-known/matrix/server URL for the well known file? Here is what the person from Element says:

"it looks like the SRV record setup for foundation.wikimedia.org is incompatible with the integration setup. If at all possible, the quickest way to resolve this would be to have a well known file located at https://foundation.wikimedia.org/.well-known/matrix/server...If possible, because the integration manager will not work until then. You can use the bridges fine, but if you want to start playing with integrations we're going to need a well known setup. The SRV/DNS solution isn't really compatible. Sorry for misleading. If it's very difficult for you folks to set the well known up, we might be able to hack around it our side, but it's something we'd like to avoid as it's another thing to maintain in the stack."

Thanks.

bcampbell reopened this task as Open.Sep 7 2020, 9:12 PM

Change 631529 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] docroot: add foundation.wikimedia.org docroot

https://gerrit.wikimedia.org/r/631529

Change 631530 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] foundation.wikimedia.org: Add .well-known/matrix/server

https://gerrit.wikimedia.org/r/631530

Hey, sorry for the delay, we should be able to deploy this tomorrow.

Change 631529 merged by jenkins-bot:
[operations/mediawiki-config@master] docroot: expand foundation.wikimedia.org docroot

https://gerrit.wikimedia.org/r/631529

Change 631530 merged by jenkins-bot:
[operations/mediawiki-config@master] foundation.wikimedia.org: Add .well-known/matrix/server

https://gerrit.wikimedia.org/r/631530

Mentioned in SAL (#wikimedia-operations) [2020-10-02T14:45:18Z] <cdanis@deploy1001> Synchronized docroot/wikimediafoundation.org: Separate foundation.wikimedia.org docroot & add .well-known/matrix/server T261531 4573776bd 2fb4c20ae (duration: 01m 01s)

CDanis added a comment.Oct 2 2020, 2:47 PM

This is live now @bcampbell -- have Element give it a shot and let us know?

CDanis closed this task as Resolved.Oct 2 2020, 3:32 PM

🎉